searchData={"items":[{"type":"module","title":"MoonAssets","doc":"# MoonAssets\n\nMoon Assets is a HEX package that serves icons and assets for Phoenix projects built with TailwindCSS.","ref":"MoonAssets.html"},{"type":"module","title":"Installation - MoonAssets","doc":"The package can be installed by adding `moon_assets` to your list of dependencies in a `mix.exs` file:\n\n```\ndef deps do\n  [\n    {:moon_assets, \"~> 0.1\"}\n  ]\nend\n```\n\nInstall `moon_assets` dependency:\n\n```\nmix deps.get\n```\n\nAdd a required `moon-assets-preset` preset to a `tailwind.config.js` file:\n\n```\nmodule.exports = {\n  presets: [\n    require(\"PATH_TO_DEPS_FOLDER/moon_assets/lib/moon-assets-preset\"),\n  ],\n};\n```\n\nDefine an `icon` function in a `core_components.ex` file with a `\"moon-\"` pattern match. You may define another `icon` function with different pattern matches, in case you need it.\n\n```\nattr :name, :string, required: true\nattr :class, :string, default: nil\nattr :rest, :global\n\ndef icon(%{name: \"moon-\" <> _} = assigns) do\n  ~H\"\"\"\n   \n  \"\"\"\nend\n```","ref":"MoonAssets.html#module-installation"},{"type":"module","title":"Basic usage - MoonAssets","doc":"To use an `icon` component, specify a `name` attribute where `moon-` is required by TailwindCSS to properly identify a necessary icon and generate a class in your app's CSS file. To additionally style an icon you can add `class` attribute.\n\n```\n<.icon name=\"moon-adventure\" />\n<.icon name=\"moon-adventure\" class=\"text-chichi\" />\n```","ref":"MoonAssets.html#module-basic-usage"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,50]}}